varying vec4 lit_vertex_colour;

varying vec2 v_texture_coord;
uniform sampler2D texture;

void main()
{
  vec4 base_colour = texture2D(texture, v_texture_coord);
  gl_FragColor = base_colour * lit_vertex_colour;
}
